from overseer import app
from flask import make_response, render_template, send_from_directory
from overseer.api.v1 import api as api_v1


@app.route("/", methods=["GET"])
def main_entry():
    """
    Initial Entrypoint to the SPA (i.e. 'index.html')
    """
    return make_response(render_template("index.html"))


@app.route("/static/<path:path>")
def static_resources(path):
    """
    Front End Static Resources
    """
    return send_from_directory("static", path)


# Version API's
app.register_blueprint(api_v1)
