import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        ws_connected: false,
        notifications: []
    },
    mutations: {
        "SOCKET_connect"(state, status) {
            state.ws_connected = true
            console.log("CONNECT: ", state, status);
        },
        "SOCKET_disconnect"(state, status) {
            state.ws_connected = false
            console.log("DISCONNECT: ", state, status);
        },
        "SOCKET_message"(state, message) {
            let matchedItem = state.notifications.find(item => item.id == message.id);
            if (matchedItem){
                Object.keys(message).forEach(key => {
                    // matchedItem[key] = message[key]
                    Vue.set(matchedItem, key, message[key])
                });
            } else {
                state.notifications.push(message);
            }
        }
    },
    actions: {
    }
})
